=== debian/changelog ===
azure-uamqp-python (1.5.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:32:47 +0000

azure-uamqp-python (1.5.1-1) unstable; urgency=medium

  * Merge tag 'v1.5.1' into debian/sid
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Jan 2022 14:57:20 +0000

azure-uamqp-python (1.5.0-1) unstable; urgency=medium

  * Merge tag 'v1.5.0' into debian/sid
  * Drop fix-hmacResult-declaration.patch, merged upstream
  * Import OpenSSL3.patch from Ubuntu to fix FTBFS with OpenSSL v3.0
    (Closes: #995635)
  * Build with -Wno-error=deprecated-declarations to fix FTBFS with
    OpenSSL v3.0 (Closes: #995635)
  * Switch to dh-sequence-python3
  * Use d/clean instead of PYBUILD_AFTER_CLEAN
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 10 Jan 2022 11:43:53 +0000

azure-uamqp-python (1.4.3-1) unstable; urgency=medium

  * Merge tag 'v1.4.3' into debian/sid
  * autopkgtest: add dependency on python3-all:any

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Oct 2021 16:04:17 +0100

azure-uamqp-python (1.4.2-2) unstable; urgency=high

  * Team upload.
  * Add fix-hmacResult-declaration.patch (Closes: #983978).

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Oct 2021 02:28:05 +0200

azure-uamqp-python (1.4.2-1) unstable; urgency=medium

  * Merge tag 'v1.4.2' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Sep 2021 11:21:00 +0100

azure-uamqp-python (1.4.1-1) unstable; urgency=medium

  * Merge tag 'v1.4.1' into debian/sid
  * Bump Standards-Version to 4.6.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Aug 2021 10:59:29 +0100

azure-uamqp-python (1.4.0-1) unstable; urgency=medium

  * Merge tag 'v1.4.0' into debian/sid
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Aug 2021 16:52:52 +0100
