=== debian/changelog ===
azure-uamqp-python (1.5.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.

  [ Luca Boccassi ]
  * Merge tag 'v1.5.3' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Wed, 30 Mar 2022 14:16:04 +0100

azure-uamqp-python (1.5.2-1) unstable; urgency=medium

  * Merge tag 'v1.5.2' into debian/sid
  * Ignore very-long-line-length-in-source-file Lintian warnings

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Mar 2022 10:41:24 +0000
