=== debian/rules ===
#!/usr/bin/make -f

# __FILE__ used in logging macros, so -fdebug-prefix-map is not enough,
# to make the build reproducible we need -ffile-prefix-map
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

# Required to build with OpenSSL 3.0, can be dropped once upstream fixes it
export DEB_CFLAGS_MAINT_APPEND=-Wno-error=deprecated-declarations

# CMake is used to build the vendored uamqp library, which ignores CPPFLAGS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
# For the CMake build
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE=1
endif

%:
	dh $@ --buildsystem=pybuild
